Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 366)
@@ -2028,8 +2028,8 @@
 
                 // 工事承認をチェックする
                 StringBuilder strSQL = new StringBuilder();
-                strSQL.Append("SELECT count(*)");
-                strSQL.Append(" FROM PROCESSAPPROVAL A");
+                strSQL.Append("SELECT count(*) FROM");
+                strSQL.Append("  PROCESSAPPROVAL A");
                 strSQL.Append(", PERSONINCHARGEMASTER B");
                 strSQL.Append(", APPROVALMASTER C");
                 strSQL.Append(", CONSTRUCTIONBASEINFO As D");
@@ -2036,8 +2036,8 @@
 
                 strSQL.AppendFormat(" WHERE (A.SEQNO = 1 AND A.APPROVALSTATUS <> {0})", (int)CommonDefine.ApprovalStatus.Approval);
                 strSQL.Append(" AND NOT EXISTS (SELECT * FROM PROCESSAPPROVAL D");
-                strSQL.Append(" WHERE D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.APPROVALCODE = A.APPROVALCODE AND D.ORDERNO = A.ORDERNO AND D.SEQNO <> 1");
-                strSQL.AppendFormat(" AND D.PERSONCODE = {0} AND D.APPROVALSTATUS = {1})", CommonMotions.LoginUserData.PersonCode, (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL.Append("                         WHERE D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND D.APPROVALCODE = A.APPROVALCODE AND D.ORDERNO = A.ORDERNO AND D.SEQNO <> 1");
+                strSQL.AppendFormat("                   AND D.PERSONCODE = {0} AND D.APPROVALSTATUS = {1})", CommonMotions.LoginUserData.PersonCode, (int)CommonDefine.ApprovalStatus.Approval);
                 strSQL.Append(" AND B.PERSONCODE = A.PERSONCODE");
                 strSQL.Append(" AND (C.APPROVALCODE = A.APPROVALCODE AND C.DEPARTMENTCODE = B.DEPARTMENTCODE)");
                 strSQL.AppendFormat(" AND C.APPROVALPERSON = {0}", CommonMotions.LoginUserData.PersonCode);
@@ -2259,9 +2259,9 @@
         }
         #endregion
 
-        #region 工事検索サブSQL作成
+        #region 工事検索サブSQL作成1
         /// <summary>
-        /// 工事検索サブSQL作成
+        /// 工事検索サブSQL作成1
         /// </summary>
         /// <param name="strSQL"></param>
         private void DispSearchDataSQL(ref StringBuilder strSQL)
@@ -2268,23 +2268,21 @@
         {
             try
             {
-                // 見積日付検索
-                if (m_EstimateMonth.Length > 0)
-                {
-                    strSQL.AppendFormat(" And (DATE_FORMAT(A.EstimatesSubmittedDate, '%Y%m') = {0})", m_EstimateMonth.Replace("/", ""));
-                }
-
                 // 発注者名検索
                 if (m_Orderer.Length > 0)
                 {
-                    strSQL.AppendFormat(" And (EX.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.OrderersName);
-                    strSQL.AppendFormat(" And EX.DetailString Like '%{0}%')", m_Orderer);
+                    strSQL.AppendFormat(" Inner JOIN CONSTRUCTIONBASEINFODETAIL EX");
+                    strSQL.AppendFormat("        ON EX.ConstructionCode = A.ConstructionCode");
+                    strSQL.AppendFormat("        And (EX.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.OrderersName);
+                    strSQL.AppendFormat("        And EX.DetailString Like '%{0}%')", m_Orderer);
                 }
                 // 工事名称検索
                 if (m_ConstructionName.Length > 0)
                 {
-                    strSQL.AppendFormat(" And (EX.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
-                    strSQL.AppendFormat(" And EX.DetailString Like '%{0}%')", m_ConstructionName);
+                    strSQL.AppendFormat(" Inner JOIN CONSTRUCTIONBASEINFODETAIL EX2");
+                    strSQL.AppendFormat("        ON EX2.ConstructionCode = A.ConstructionCode");
+                    strSQL.AppendFormat("        And (EX2.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
+                    strSQL.AppendFormat("        And EX2.DetailString Like '%{0}%')", m_ConstructionName);
                 }
             }
             catch (Exception ex)
@@ -2294,6 +2292,28 @@
         }
         #endregion
 
+        #region 工事検索サブSQL作成2
+        /// <summary>
+        /// 工事検索サブSQL作成2
+        /// </summary>
+        /// <param name="strSQL"></param>
+        private void DispSearchDataSQLWhere(ref StringBuilder strSQL)
+        {
+            try
+            {
+                // 見積日付検索
+                if (m_EstimateMonth.Length > 0)
+                {
+                    strSQL.AppendFormat(" And (DATE_FORMAT(A.EstimatesSubmittedDate, '%Y%m') = {0})", m_EstimateMonth.Replace("/", ""));
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         // *---------------- メニュータブ表示関連処理
         #region 掲示板処理関連
         #region 掲示板メッセージ確認・作成
@@ -3734,11 +3754,8 @@
                 strSQL.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*, Btbl.*");
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
-                if (m_bConstrSearchFlg)
-                {
-                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
-                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
-                }
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
 
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
                 strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
@@ -3754,7 +3771,7 @@
                 strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
 
                 // 工事検索時は検索画面の値をセットする
-                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+                if (m_bConstrSearchFlg) DispSearchDataSQLWhere(ref strSQL);
 
                 strSQL.Append(" Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC");
 
@@ -3942,11 +3959,8 @@
                 strSQL.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*, Btbl.*");
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
-                if (m_bConstrSearchFlg)
-                {
-                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
-                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
-                }
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
 
                 strSQL.Append(" LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
                 strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
@@ -3962,7 +3976,7 @@
                 strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
 
                 // 工事検索時は検索画面の値をセットする
-                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+                if (m_bConstrSearchFlg) DispSearchDataSQLWhere(ref strSQL);
 
                 strSQL.Append(" Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
@@ -4149,11 +4163,8 @@
                 strSQL.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*, Btbl.*");
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
-                if (m_bConstrSearchFlg)
-                {
-                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
-                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
-                }
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
 
                 strSQL.Append(" LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
                 strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
@@ -4169,7 +4180,7 @@
                 strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
 
                 // 工事検索時は検索画面の値をセットする
-                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+                if (m_bConstrSearchFlg) DispSearchDataSQLWhere(ref strSQL);
 
                 strSQL.Append(" Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
@@ -4382,11 +4393,8 @@
                 strSQL.Append(" G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*, Btbl.*");
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO AS A");
 
-                if (m_bConstrSearchFlg)
-                {
-                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL AS EX");
-                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
-                }
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
 
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER AS D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER AS E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE");
@@ -4407,7 +4415,7 @@
                 strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
 
                 // 工事検索時は検索画面の値をセットする
-                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+                if (m_bConstrSearchFlg) DispSearchDataSQLWhere(ref strSQL);
 
                 strSQL.Append(" Order By A.ConstructionPeriod Desc, A.ConstructionStatusFlg Asc, A.ORDERDATE DESC, A.ConstructionCode Asc, B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
@@ -4933,80 +4941,96 @@
                 // ----- SQL作成
                 // 増減工事の増減分を取得する
                 StringBuilder strSQL1 = new StringBuilder();
-                strSQL1.Append("(SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,");
+                strSQL1.Append("SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,");
                 strSQL1.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, E.PERSONNAME, F.PERSONNAME, D.DepartmentCode,");
                 strSQL1.Append(" G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), TRUNCATE(A.ConstructionCode / 100, 0), MOD(A.ConstructionCode ,100), A.*, Btbl.*");
+
                 strSQL1.Append(" FROM CONSTRUCTIONBASEINFO A");
 
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.Append(strSQL1.ToString());
 
-                if (m_bConstrSearchFlg)
-                {
-                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
-                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
-                }
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
 
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE");
+
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR");
-                strSQL.Append(" Left Join PeriodAvoidance As Btbl");
+
+                strSQL.Append(" LEFT JOIN PeriodAvoidance As Btbl");
                 strSQL.Append("    On Btbl.ConstructionCode = A.ConstructionCode");
                 strSQL.Append("    And Btbl.ConstructionStatusFlg = A.ConstructionStatusFlg");
+
                 strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
-                strSQL.Append(" FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
-                strSQL.Append(" ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1");
-                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C");
+                strSQL.Append("          FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
+                strSQL.Append("    ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1");
 
+                strSQL.Append(" INNER JOIN CONSTRUCTIONBASEINFODETAIL B");
+                strSQL.Append("    ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.AppendFormat(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
+
+                strSQL.Append(" INNER JOIN PERSONINCHARGEMASTER C");
+                strSQL.Append("    ON C.PERSONCODE = A.SALESPERSONCODE");
+
                 strSQL.AppendFormat(" WHERE A.TYINGFLG = {0}", (int)ConstructionBaseInfo.TyingFlgDef.Tying);
-                strSQL.AppendFormat(" AND (DATE(A.BILLINGDATE) = STR_TO_DATE('{0}', '%Y/%m/%d')", DateTime.MinValue.ToShortDateString());
-                strSQL.Append(" OR DATE(A.BILLINGDATE) > DATE_ADD(NOW(), INTERVAL -1 MONTH))");
-                strSQL.AppendFormat(" AND A.ConstructionStatusFlg <> {0} AND A.ConstructionStatusFlg < {1}", NotOrder, BillComp);
+                strSQL.AppendFormat(" AND (DATE(A.BILLINGDATE) = DATE('{0}')", DateTime.MinValue.ToShortDateString());
+                strSQL.AppendFormat("   OR DATE(A.BILLINGDATE) > DATE('{0}'))", DateTime.Today.AddMonths(-1).ToShortDateString());
+                strSQL.AppendFormat(" AND A.ConstructionStatusFlg <> {0}", NotOrder);
+                strSQL.AppendFormat(" AND A.ConstructionStatusFlg <= {0}", BillComp);
 
-                strSQL.Append(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
-                strSQL.AppendFormat(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
-                strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
-
                 // 工事検索時は検索画面の値をセットする
-                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+                if (m_bConstrSearchFlg) DispSearchDataSQLWhere(ref strSQL);
 
-                strSQL.Append(")");
+                //strSQL.Append(")");
 
                 // 増減工事の親を取得する
                 strSQL.AppendFormat(" UNION {0}", strSQL1.ToString());
 
-                if (m_bConstrSearchFlg)
-                {
-                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
-                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
-                }
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
 
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
+
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE");
+
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR");
+
                 strSQL.Append(" LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE");
-                strSQL.Append(" FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
-                strSQL.Append(" ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1");
+                strSQL.Append("            FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G");
+                strSQL.Append("       ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1");
+
                 strSQL.Append(" Left Join PeriodAvoidance As Btbl");
                 strSQL.Append("    On Btbl.ConstructionCode = A.ConstructionCode");
                 strSQL.Append("    And Btbl.ConstructionStatusFlg = A.ConstructionStatusFlg");
-                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C, CONSTRUCTIONLINK H, CONSTRUCTIONBASEINFO I");
 
+                strSQL.Append(" INNER JOIN CONSTRUCTIONBASEINFODETAIL B");
+                strSQL.Append("       ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.AppendFormat(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
+
+                strSQL.Append(" INNER JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.SALESPERSONCODE");
+
                 strSQL.AppendFormat(" WHERE A.TYINGFLG = {0}", (int)ConstructionBaseInfo.TyingFlgDef.Parent);
 
-                strSQL.Append(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
-                strSQL.AppendFormat(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionPlace3);
-                strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
                 strSQL.AppendFormat(" AND A.ConstructionStatusFlg <> {0}", NotOrder);
-                strSQL.Append(" AND H.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
-                strSQL.Append(" AND I.CONSTRUCTIONCODE = H.FLUCTUATIONCODE");
-                strSQL.AppendFormat(" AND (DATE(I.BILLINGDATE) = STR_TO_DATE('{0}', '%Y/%m/%d')", DateTime.MinValue.ToShortDateString());
-                strSQL.Append(" OR DATE(I.BILLINGDATE) > DATE_ADD(NOW(), INTERVAL -1 MONTH)) ");
+                strSQL.AppendFormat(" AND (DATE(A.BILLINGDATE) = DATE('{0}')", DateTime.MinValue.ToShortDateString());
+                strSQL.AppendFormat("   OR DATE(A.BILLINGDATE) > DATE('{0}'))", DateTime.Today.AddMonths(-1).ToShortDateString());
 
+                strSQL.Append(" AND A.ConstructionCode");
+                strSQL.Append("     in (SELECT ConstructionCode From constructionlink As Link");
+                strSQL.Append("                Where Link.FluctuationCode");
+                strSQL.Append("                in (SELECT AX.ConstructionCode From constructionbaseinfo As AX");
+                strSQL.AppendFormat("              Where AX.TyingFlg = {0}", (int)ConstructionBaseInfo.TyingFlgDef.Tying);
+                strSQL.AppendFormat("              AND AX.ConstructionStatusFlg <> {0}", NotOrder);
+                strSQL.AppendFormat("              AND AX.ConstructionStatusFlg <= {0}", BillComp);
+                strSQL.AppendFormat("              AND (DATE(AX.BILLINGDATE) = DATE('{0}')", DateTime.MinValue.ToShortDateString());
+                strSQL.AppendFormat("                OR DATE(AX.BILLINGDATE) > DATE('{0}'))))", DateTime.Today.AddMonths(-1).ToShortDateString());
+
                 // 工事検索時は検索画面の値をセットする
-                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+                if (m_bConstrSearchFlg) DispSearchDataSQLWhere(ref strSQL);
 
-                strSQL.Append(")");
+                //strSQL.Append(")");
 
                 strSQL.Append(" ORDER BY 2 Desc, 14 Desc, 15 Asc, 17 Asc, 3 ASC");
                 ArrayList arData = new ArrayList();
@@ -5262,11 +5286,8 @@
                 strSQL.Append(", C.PERSONNAME, A.* ");
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
-                if (m_bConstrSearchFlg)
-                {
-                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
-                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
-                }
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
 
                 strSQL.Append(", CONSTRUCTIONBASEINFODETAIL B");
                 strSQL.Append(", PERSONINCHARGEMASTER C");
@@ -5277,7 +5298,7 @@
                 strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
 
                 // 工事検索時は検索画面の値をセットする
-                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+                if (m_bConstrSearchFlg) DispSearchDataSQLWhere(ref strSQL);
 
                 strSQL.Append(" Order By A.NonOrderDate Desc, A.ConstructionCode Desc, B.DETAILNO ASC");
                 ArrayList arData = new ArrayList();
@@ -5479,11 +5500,8 @@
                 strSQL.Append(" LEFT JOIN  PERSONINCHARGEMASTER D");
                 strSQL.Append(" ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
 
-                if (m_bConstrSearchFlg)
-                {
-                    strSQL.Append(" LEFT JOIN  CONSTRUCTIONBASEINFODETAIL EX");
-                    strSQL.Append(" ON EX.ConstructionCode = A.ConstructionCode");
-                }
+                // 工事検索時は検索画面の値をセットする
+                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
 
                 strSQL.Append(" Left Join PeriodAvoidance As Btbl");
                 strSQL.Append("    On Btbl.ConstructionCode = A.ConstructionCode");
@@ -5496,7 +5514,7 @@
                 strSQL.Append(" AND C.PERSONCODE = A.SALESPERSONCODE");
 
                 // 工事検索時は検索画面の値をセットする
-                if (m_bConstrSearchFlg) DispSearchDataSQL(ref strSQL);
+                if (m_bConstrSearchFlg) DispSearchDataSQLWhere(ref strSQL);
 
                 strSQL.Append(" Order By");
                 strSQL.Append(" Case DATE_FORMAT(A.RevCompleteDate, '%Y/%m/%d')");
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 366)
@@ -136,7 +136,7 @@
     </Compile>
     <Compile Include="Common\Process\ClsChangeLedgerData.cs" />
     <Compile Include="Common\Process\ClsMessageBoradAccess.cs" />
-    <Compile Include="Common\Process\ClsApprovalPermission.cs" />
+    <Compile Include="Common\Process\ClsCommonApproval.cs" />
     <Compile Include="Common\Process\ClsOtherProc.cs" />
     <Compile Include="Common\Process\ClsPeriodAvoidance.cs" />
     <Compile Include="Common\Process\ClsProcessExist.cs" />
@@ -231,6 +231,7 @@
     <Compile Include="DB\IOAccess\IOBankBusinessDayMaster.cs" />
     <Compile Include="DB\IOAccess\IOConstrLedgerExpenses.cs" />
     <Compile Include="DB\IOAccess\IOCostDataOfDepartment.cs" />
+    <Compile Include="DB\IOAccess\IOChgConstrCharge.cs" />
     <Compile Include="DB\IOAccess\IODepartmentCostData.cs" />
     <Compile Include="DB\IOAccess\IODirectAccess.cs" />
     <Compile Include="DB\IOAccess\IOBillingData.cs" />
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 366)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.1.220")]
-[assembly: AssemblyFileVersion("1.0.1.220")]
+[assembly: AssemblyVersion("1.0.1.224")]
+[assembly: AssemblyFileVersion("1.0.1.224")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
